export enum FsmParamTypeEnum {
  Number = 'Number',
  Trigger = 'Trigger',
}

export enum EntityStateEnum {
  Idle = 'Idle',
  Run = 'Run',
  Attack = 'Attack',
}

export enum ParamsNameEnum {
  Idle = 'Idle',
  Run = 'Run',
  Attack = 'Attack',
}

export enum EventEnum {
  WeaponShoot = 'WeaponShoot',
  BulletBorn = 'BulletBorn',
  ExplosionBorn = 'ExplosionBorn',
  RoomJoin = 'RoomJoin',
  GameStart = 'GameStart',
}

export enum EntityTypeEnum {
  Map1 = 'Map1',
  Player1 = 'Player1',
  Player2 = 'Player2',
  Weapon1 = 'Weapon1',
  Weapon2 = 'Weapon2',
  Bullet1 = 'Bullet1',
  Bullet2 = 'Bullet2',
  Explosion = 'Explosion',
  JoyStick = 'JoyStick',
  Shoot = 'Shoot',
}

export enum PrefabPathEnum {
  Map1 = 'prefab/Map1',
  Player1 = 'prefab/Player',
  Player2 = 'prefab/Player',
  Weapon1 = 'prefab/Weapon1',
  Weapon2 = 'prefab/Weapon2',
  Bullet1 = 'prefab/Bullet',
  Bullet2 = 'prefab/Bullet',
  Explosion = 'prefab/Explosion',
  JoyStick = 'prefab/JoyStick',
  Shoot = 'prefab/Shoot',
}

export enum TexturePathEnum {
  Player1Idle = 'texture/player/player1/idle',
  Player1Run = 'texture/player/player1/run',
  Player2Idle = 'texture/player/player2/idle',
  Player2Run = 'texture/player/player2/run',
  Weapon1Idle = 'texture/weapon/weapon1/idle',
  Weapon1Attack = 'texture/weapon/weapon1/attack',
  Weapon2Idle = 'texture/weapon/weapon2/idle',
  Weapon2Attack = 'texture/weapon/weapon2/attack',
  Bullet1Idle = 'texture/bullet/bullet1',
  Bullet2Idle = 'texture/bullet/bullet2',
  ExplosionIdle = 'texture/explosion',
}

export enum InputType {
  PlayerMove = 'PlayerMove',
  WeaponShoot = 'WeaponShoot',
  TimePast = 'TimePast',
}

export enum SceneEnum {
  Login = 'Login',
  Hall = 'Hall',
  Room = 'Room',
  Battle = 'Battle',
}